Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Spidermonkey-17 on PPC64/64UL
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
Azurael
n00b
n00b


Joined: 06 Oct 2013
Posts: 2

PostPosted: Sun Oct 06, 2013 2:33 pm    Post subject: Spidermonkey-17 on PPC64/64UL Reply with quote

I'm currently having big issues trying to get =>dev-lang/spidermonkey-17 (currently 17.0.0-r1) installed on the aforementioned PPC64 box. It throws an error: jsval.h:307:13 'jsuword' does not name a type (actually, it doesn't, looking at jsval.h, but I'm no coder.) No issues with older versions of spidermonkey, and no issues building 17 on an otherwise identically configured AMD64 box. I'm currently running a GCC 4.8.1 + LTO configuration, but I've tried building spidermonkey and all its dependencies with 4.7.3-r1 (marked as stable) and LTO off, so I'm lead to believe it's just plain b0rked on PPC64 or somehow on this particular machine.

For the time being, I have it masked along with the latest polkit but I was wondering if anybody else has experienced this (surely I can't be the only one trying to run an up-to-date desktop install on a ppc64 machine with 64-bit userland?)
Back to top
View user's profile Send private message
sethstorm
n00b
n00b


Joined: 07 May 2005
Posts: 3

PostPosted: Thu Dec 05, 2013 10:44 pm    Post subject: Reply with quote

While this might be a couple of months since the last post, I'd like to clarify Azurael's solution.

For those who may be running across this issue, moving down to the highest unmasked packages for spidermonkey, polkit, and consolekit should make things work.

As of this writing (12/05/2013), I have the following entries in /etc/portage/package.mask:
Code:

>=dev-lang/spidermonkey-17.0.0-r1
>=sys-auth/polkit-0.112
>=sys-auth/consolekit-0.4.5_p20120320-r2


So far, this works on GCC 4.7.3 without LTO (my configuration).
_________________
44P-270 (GXT6500P, 15.5GB memory)
Back to top
View user's profile Send private message
Azurael
n00b
n00b


Joined: 06 Oct 2013
Posts: 2

PostPosted: Tue Mar 11, 2014 4:30 pm    Post subject: Reply with quote

I had Gnome 3.10 (Or was it 3.8?) installed on the machine at the point when I wrote the OP, I'm trying to get a clean install set up on the machine since I've been having a tour of the other ppc distros in the meantime (they all suck!) I can't remember how I did that now, since Gnome seems to depend on Spidermonkey-17? Any clues? I seem to recall I actually patched it and got it to build in the end.

Is there even a bug filed for this? I can't find one... It's been a pretty long standing issue now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum